#!/bin/sh
set -e

# some sanity checks before we continue
if [ ! -x "$(command -v make)" ]; then
	echo "make not found. Please install GNU make."
	exit 2
fi

if [ ! -x "$(command -v cc)" ]; then
	echo "cc not found. Please install a C compiler."
	exit 2
fi

if [ ! -x "$(command -v wget)" ]; then
	echo "wget not found. Please install wget."
	exit 2
fi

if [ ! -x "$(command -v magick)" ]; then
	if [ ! -x "$(command -v convert)" ]; then
		echo "magick/convert not found. Please install ImageMagick or higher."
		exit 2
	fi
fi

./build_tools.sh
./dl_sources.sh
./rip_sources.sh
./build_pak0.sh valve
./build_loose.sh valve

# the edge cases we simply couldn't automatically fetch, due to path/name quirks
cp -v "./_tmp/hl1110.exe/maindir/valve/settings.scr" "./_build/halflife/valve/settings.scr"
cp -v "./_tmp/hl1110.exe/maindir/valve/woncomm.lst" "./_build/halflife/valve/woncomm.lst"
cp -v "./_tmp/opfordemofull.exe/maindir/valve/media/sierra.avi" "./_build/halflife/valve/media/sierra.avi"
cp -v "./_tmp/hluplink.exe/maindir/media/intro.avi" "./_build/halflife/valve/media/valve.avi"
cp -v "./_tmp/hluplink.exe/maindir/media/uplink.avi" "./_build/halflife/valve/media/logo.avi"